
function love.keypressed( key )
    if key == "escape" then love.event.quit() end
end



require('source.player') --- Spieler Variablen einfgen
require('source.map')

function love.load()
--success = love.graphics.toggleFullscreen( )  --- Fullscreen Managen

Player:load() 		-- Spieler Variablen Laden
load_map:load()		-- Map grundwerte Laden
c_coll:load()		-- Collisions Werte Laden

end



local kbd = love.keyboard
function love.update(dt)

joysticks = love.joystick.getNumJoysticks( )  		-- Anzahl der Joysticks zhlen

				
i = 1
	while i  <= joysticks do
		x_axis = love.joystick.getAxis(i, 1 )*3  		-- X Werte des Linken Joysticks errechnen
		y_axis = love.joystick.getAxis(i, 2 )*3 		-- Y Werte des Linken Joysticks errechnen

		spieler[i].view_x = spieler[i].pos_x+x_axis 	-- X Position des Sichtfeldes errechnen
		spieler[i].view_y = spieler[i].pos_y+y_axis	-- Y Position des Sichtfeldes errechnen
		
		for c=1, (coll_count) do
			coll_l, coll_r, coll_u, coll_d = false, false, false, false
			
			local function isYColliding()
				if (spieler[i].pos_y > tile[c].y and spieler[i].pos_y < tile[c].y + tile_h) or (spieler[i].pos_y < tile[c].y and spieler[i].pos_y + spieler_height > tile[c].y) then
					return true
				end
				return false
			end
			
			local function isXColliding()
				if (spieler[i].pos_x > tile[c].x and spieler[i].pos_x < tile[c].x + tile_w) or (spieler[i].pos_x < tile[c].x and spieler[i].pos_x + spieler_width > tile[c].x) then
					return true
				end
				return false
			end
			
			if isXColliding() and spieler[i].pos_y + spieler_height < tile[c].y + tile_h and spieler[i].pos_y + spieler_height + y_axis > tile[c].y and y_axis > 0 then
				y_axis = tile[c].y - spieler[i].pos_y - spieler_height
			end
			if isXColliding() and spieler[i].pos_y > tile[c].y and spieler[i].pos_y + y_axis < tile[c].y + tile_h and y_axis < 0 then
				y_axis = tile[c].y + tile_h - spieler[i].pos_y
			end
			if isYColliding() and spieler[i].pos_x + spieler_width < tile[c].x + tile_w and spieler[i].pos_x + spieler_width + x_axis > tile[c].x and x_axis > 0 then
				x_axis = tile[c].x - spieler[i].pos_x - spieler_width
			end
			if isYColliding() and spieler[i].pos_x > tile[c].x and spieler[i].pos_x + x_axis < tile[c].x + tile_w and x_axis < 0 then
				x_axis = tile[c].x + tile_w - spieler[i].pos_x
			end

			spieler[i].pos_x = spieler[i].pos_x+x_axis
			spieler[i].pos_y = spieler[i].pos_y+y_axis
			
			--spieler[i].pos_y = spieler[i].pos_y+y_axis
			-- if spieler[i].pos_x + spieler_width > tile[c].x and spieler[i].pos_x < tile[c].x + tile_w and spieler[i].pos_y + spieler_height > tile[c].y and spieler[i].pos_y < tile[c].y + tile_h then    -- Collision Feststellen
				-- coll = "Fuck Yeah, Collision!!!"
				-- if x_axis 
			-- else coll = "fuck..." end

			-- end
			i = i + 1
		end
	end
end

function love.draw() ----- Start Draw

draw_map:draw()

love.graphics.setBackgroundColor( 255, 255, 255 )

love.graphics.setColor(0, 0, 0)
love.graphics.print(x_axis, 10, 0)
love.graphics.print(y_axis, 10, 10)
love.graphics.print(tostring(coll_l), 10, 20)
love.graphics.print(tostring(coll_u), 10, 30)
love.graphics.print(tostring(coll_r), 10, 40)
love.graphics.print(tostring(coll_d), 10, 50)

-- love.graphics.print(coll_count, 10, 60)
-- love.graphics.print(coll, 10, 80)



i = 1
while i  <= joysticks do

love.graphics.setColor(123, 123, 123)
love.graphics.rectangle("fill", spieler[i].view_x, spieler[i].view_y, 20, 20 )

love.graphics.setColor(unpack(spieler[i].color))
love.graphics.rectangle("fill", spieler[i].pos_x, spieler[i].pos_y, spieler_height, spieler_width )

i = i + 1
 
end
 
 
 
 
end ------ End Draw









