
require('source.maps.tiles') -- Tile-Daten einfgen
require('source.maps.1') -- Map einfgen


load_map = {}
function load_map:load()

	map:load() 					-- Map Informationen Laden
	tiles:load() 				-- Tile Informationen Laden
	
	map_w = #map[1] 			-- Ermittelt die Weite der ersten reihe, bzw. zhlt wieviele werte innerhalb der ersten reine sind
    map_h = #map 				-- Ermittelt die Hhe gesamten Map, bzw. zhlt wieviele "Werte-Reihen" es gibt
	
end

c_coll = {}						-- Funktion zum Zhlen der zu Kollidierenden Objekte
function c_coll:load()
	local t = 0 						-- Als zhler fr das einlesen, der coordinaten der Tiles in die table, welche zur collision fhren
	tile = {}					-- Table fr kollisions Tiles


    for y=1, (map_h) do
        for x=1, (map_w) do

				if map[y][x] == 9 then
					t = t+1
					
					tile[t]={}
					tile[t].x = (x*tile_w) - tile_w
					tile[t].y = (y*tile_h) - tile_h

				end
            
        end
    end
	coll_count = #tile
	
end


draw_map = {}
function draw_map:draw()

    
    for y=1, (map_h) do
        for x=1, (map_w) do

                --love.graphics.draw(tile[map[y][x]], (x*tile_w)-tile_w, (y*tile_h)-tile_h)					-- So lassen sich Spter Grafiken einbinden
				
				love.graphics.setColor(unpack(color[map[y][x]]))											-- Farbe des Tiles Bestimmen
				love.graphics.rectangle("fill",(x*tile_w) - tile_w ,(y*tile_h) - tile_h , tile_w, tile_h )	-- Tile auf Position wiedergeben
				
				

        end
    end

	
end





